package de.duehl.swing.ui.start;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;

import de.duehl.swing.ui.dialogs.base.NonModalFrameDialogBase;
import de.duehl.swing.ui.elements.pictures.PicturePanel;

public class PicturePanelTest extends NonModalFrameDialogBase {

    private static final Dimension DIALOG_DIMENSION = new Dimension(600, 400);

    private final PicturePanel picturePanel;

    public PicturePanelTest() {
        super("PicturePanel-Test", DIALOG_DIMENSION);

        String filename = "r:/USR_HR/DokusNatascha/HuPwiki/BilderFuerAllgemVertrBefugnisse/"
                + "hochgeladen/AllgVertrBef_Direktor_Kombi_1_Beispiel1.png";
        picturePanel = new PicturePanel(filename);
        picturePanel.setBackground(Color.DARK_GRAY);
        //picturePanel.setAllowBiggerPicture(false);

        fillDialog();
    }

    @Override
    protected void populateDialog() {
        add(picturePanel, BorderLayout.CENTER);
    }

    public static void main(String[] args) {
        new PicturePanelTest().setVisible(true);
    }

}
